ifndef PEGASUS_PLATFORM
   ifeq ($(shell uname -i),ia64)
      PEGASUS_PLATFORM = LINUX_IA64_GNU
   endif
   ifeq ($(shell uname -i),i386)
      PEGASUS_PLATFORM = LINUX_IX86_GNU
   endif
   ifeq ($(shell uname -i),ppc)
      PEGASUS_PLATFORM = LINUX_PPC_GNU
   endif
   ifeq ($(shell uname -i),ppc64)
      PEGASUS_PLATFORM = LINUX_PPC64_GNU
   endif
   ifeq ($(shell uname -i),s390)
      PEGASUS_PLATFORM = LINUX_ZSERIES_GNU
   endif
   ifeq ($(shell uname -i),s390x)
      PEGASUS_PLATFORM = LINUX_ZSERIES64_GNU
   endif
   ifeq ($(shell uname -i),x86_64)
      PEGASUS_PLATFORM = LINUX_X86_64_GNU
   endif
   ifeq ($(shell uname -i),sparc)
      PEGASUS_PLATFORM = LINUX_SPARCV9_GNU
   endif
   ifeq ($(shell uname -i),sparc64)
      PEGASUS_PLATFORM = LINUX_SPARC64_GNU
   endif
endif

ifeq ($(PEGASUS_PLATFORM),LINUX_IA64_GNU)
   PEGASUS_ARCH_LIB = lib
endif
ifeq ($(PEGASUS_PLATFORM),LINUX_IX86_GNU)
   PEGASUS_ARCH_LIB = lib
endif
ifeq ($(PEGASUS_PLATFORM),LINUX_PPC_GNU)
   PEGASUS_ARCH_LIB = lib
endif
ifeq ($(PEGASUS_PLATFORM),LINUX_PPC64_GNU)
   PEGASUS_ARCH_LIB = lib64
endif
ifeq ($(PEGASUS_PLATFORM),LINUX_ZSERIES_GNU)
   PEGASUS_ARCH_LIB = lib
endif
ifeq ($(PEGASUS_PLATFORM),LINUX_ZSERIES64_GNU)
   PEGASUS_ARCH_LIB = lib64
endif
ifeq ($(PEGASUS_PLATFORM),LINUX_X86_64_GNU)
   PEGASUS_ARCH_LIB = lib64
endif
ifeq ($(PEGASUS_PLATFORM),LINUX_SPARCV9_GNU)
   PEGASUS_ARCH_LIB = lib
endif
ifeq ($(PEGASUS_PLATFORM),LINUX_SPARC64_GNU)
   PEGASUS_ARCH_LIB = lib64
endif

PLATFORM_FILES=$(wildcard $(ROOT)/mak/platform*.mak)
PLATFORM_TEMP=$(subst $(ROOT)/mak/platform_,, $(PLATFORM_FILES))
VALID_PLATFORMS=$(subst .mak,  , $(PLATFORM_TEMP))

ifndef PEGASUS_PLATFORM
    $(error PEGASUS_PLATFORM environment variable undefined. Please set to\
        one of the following:$(VALID_PLATFORMS))
endif

PLATFORM_FILE = $(ROOT)/mak/platform_$(PEGASUS_PLATFORM).mak
ifneq ($(wildcard $(PLATFORM_FILE)), )
    include $(PLATFORM_FILE)
else
  $(error  PEGASUS_PLATFORM environment variable must be set to one of\
        the following:$(VALID_PLATFORMS))
endif

include $(ROOT)/mak/SDKEnvVar.mak
